from django.utils.safestring import mark_safe
from wagtail.core import hooks


class HelpPanel:
    order = 1000

    def render(self):
        return mark_safe(
            """
        <section class="nice-padding">
          <div class="help-block help-info">
            <p>Nevíte si rady? Nápovědu naleznete na <a href="https://majak.pirati.cz/">majak.pirati.cz</a></p>
          </div>
        </section>
        """
        )


@hooks.register("construct_homepage_panels")
def add_another_welcome_panel(request, panels):
    panels.append(HelpPanel())
